<app-loading *ngIf="isLoading"></app-loading>
<div nz-row class="content-header" *ngIf="dataSystemAllocation?.isEdit && !tabSelectIndex">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}" mbButtonTextColor="#141ED2"
             (click)="showModalUploadFile(footerTmplUploadFile)"
             *ngIf="objFunction?.import">
  </mb-button>
  <mb-button
    mbButtonSize='MEDIUM'
    mbButtonAvailableStyle='PRIMARY'
    mbButtonText="{{'common.button.saveS' | translate}}"
    (click)="saveRecord()"
    *ngIf='objFunction?.create'
  ></mb-button>
</div>
<div class="mb-tab">
  <nz-tabset nzType='editable-card' nzHideAdd (nzSelectChange)='changeTab($event)'
             [nzSelectedIndex]='tabSelectIndex'>
    <nz-tab nzTitle="{{'goaManagement.system-allocation.label.attribute.rateInAllocation' | translate}}">
      <div class="form-system-allocation">
        <form nz-form [formGroup]="form">
          <div nz-row [nzGutter]="[30, 10]">
            <div nz-col nzSm="24" nzXs="24" nzLg="6">
              <mb-select formControlName="periodId" [mbDataSelects]="dataAssessmentPeriod" [mbShowSearch]="false"
                         mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}" mbKeyLabel="periodName"
                         mbKeyValue="periodId">
              </mb-select>
            </div>

            <!--      <div nz-col nzSm="24" nzXs="24" nzLg="6" class="search_form">-->
            <!--        <mb-button mbButtonAvailableStyle="CUSTOM" (click)="doSearch()"-->
            <!--                   mbButtonText="{{'common.label.search' | translate}}"></mb-button>-->
            <!--      </div>-->
          </div>
        </form>
      </div>
      <nz-table #groupingTable [nzData]="dataSystemAllocation?.classificationRateDTOS" nzBordered nzSize="middle">
        <thead>
        <tr>
          <th rowSpan="2" colspan="1" scope="">{{'goaManagement.system-allocation.label.table.classificationGroupHeader' | translate}}</th>
          <th [colspan]="classificationHeader?.length" scope="">{{'goaManagement.system-allocation.label.table.classification' | translate}}</th>
        </tr>
        <tr>
          <th *ngFor="let elName of classificationHeader" rowspan="3" scope="">{{ elName }}</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let classificationRateDTOS of groupingTable.data">
          <td>
            <p>{{ classificationRateDTOS?.cldOrgName }}</p>
            <span *ngIf="classificationRateDTOS?.errMess" class="err_alert">{{ classificationRateDTOS?.errMess }}</span>
          </td>
          <td *ngFor="let classificationDetailRateDTORow of classificationRateDTOS?.classificationDetailRateDTORow;index as i">
            <mb-input-text mbInputType='number'
                           [mbShowFlexEnd]='false' [ngModel]="classificationDetailRateDTORow?.rate | number: '1.0-0'"
                           (ngModelChange)="getValueRateDTOItem($event, classificationDetailRateDTORow, i)" [minNumber]="'0'"
                           [mbType]="classificationDetailRateDTORow?.errorMess ? 'error' : 'default'"
                           [mbErrors]="{required: true}"
                           [mbShowError]="convertStringToBoolean(classificationDetailRateDTORow.errorMess)"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: classificationDetailRateDTORow?.errorMess}]"
            >
            </mb-input-text>
          </td>
        </tr>
        </tbody>
      </nz-table>
    </nz-tab>
    <nz-tab nzTitle="{{'goaManagement.system-allocation.label.attribute.rateOutAllocation' | translate}}">
      <div class="content__item content__item--border bg__content--default" *ngIf="tabSelectIndex">
        <mb-collapse #collapse [mbPanels]="panels"></mb-collapse>
      </div>
    </nz-tab>
  </nz-tabset>
</div>


<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>
